"use strict";

exports.__esModule = true;
exports.svgIconHandledProps = exports.svgIconDisplayName = exports.svgIconClassName = exports.createSvgIcon = void 0;
var React = _interopRequireWildcard(require("react"));
var _reactBindings = require("@fluentui/react-bindings");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var svgIconClassName = 'ui-icon';
exports.svgIconClassName = svgIconClassName;
var svgIconDisplayName = 'SvgIcon';
exports.svgIconDisplayName = svgIconDisplayName;
var svgIconHandledProps = ['bordered', 'className', 'circular', 'design', 'disabled', 'outline', 'size', 'rotate', 'styles', 'variables', 'xSpacing'];
exports.svgIconHandledProps = svgIconHandledProps;
var createSvgIcon = function createSvgIcon(_ref) {
  var svg = _ref.svg,
    displayName = _ref.displayName,
    _ref$handledProps = _ref.handledProps,
    handledProps = _ref$handledProps === void 0 ? [] : _ref$handledProps;
  var Component = function Component(props) {
    var context = (0, _reactBindings.useFluentContext)();
    var alt = props.alt,
      ariaLabel = props['aria-label'],
      bordered = props.bordered,
      circular = props.circular,
      className = props.className,
      design = props.design,
      disabled = props.disabled,
      outline = props.outline,
      _props$rotate = props.rotate,
      rotate = _props$rotate === void 0 ? 0 : _props$rotate,
      _props$size = props.size,
      size = _props$size === void 0 ? 'medium' : _props$size,
      styles = props.styles,
      variables = props.variables,
      xSpacing = props.xSpacing;
    var _useStyles = (0, _reactBindings.useStyles)(svgIconDisplayName, {
        className: svgIconClassName,
        mapPropsToStyles: function mapPropsToStyles() {
          return {
            bordered: bordered,
            circular: circular,
            disabled: disabled,
            outline: outline,
            rotate: rotate,
            size: size,
            xSpacing: xSpacing
          };
        },
        mapPropsToInlineStyles: function mapPropsToInlineStyles() {
          return {
            className: className,
            design: design,
            styles: styles,
            variables: variables
          };
        },
        rtl: context.rtl
      }),
      classes = _useStyles.classes;
    var unhandledProps = (0, _reactBindings.getUnhandledProps)([].concat(svgIconHandledProps, handledProps), props);
    return /*#__PURE__*/React.createElement('span', Object.assign({
      role: 'img',
      'aria-hidden': alt || ariaLabel ? undefined : 'true',
      'aria-label': ariaLabel,
      className: classes.root
    }, unhandledProps), svg({
      classes: classes,
      rtl: context.rtl,
      props: props
    }));
  };
  Component.displayName = displayName;
  Component.handledProps = [].concat(svgIconHandledProps, handledProps);
  return Component;
};
exports.createSvgIcon = createSvgIcon;
//# sourceMappingURL=createSvgIcon.js.map
